[arch-commits] Commit in gnome-pilot/repos (extra-i686 extra-i686/PKGBUILD)

Jan de Groot jgc at archlinux.org
Sat Nov 21 13:03:21 EST 2009


    Date: Saturday, November 21, 2009 @ 13:03:21
  Author: jgc
Revision: 59253

Merged revisions 59252 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/gnome-pilot/trunk

........
  r59252 | jgc | 2009-11-21 19:03:03 +0100 (Sat, 21 Nov 2009) | 2 lines
  
  upgpkg: gnome-pilot 2.0.17-2
      Add libgnomeui to dependencies (FS#15584)
........

Modified:
  gnome-pilot/repos/extra-i686/	(properties)
  gnome-pilot/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   14 ++++++++------
 1 file changed, 8 insertions(+), 6 deletions(-)


Property changes on: gnome-pilot/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /gnome-pilot/trunk:1-24755
   + /gnome-pilot/trunk:1-59252

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-11-21 18:03:03 UTC (rev 59252)
+++ extra-i686/PKGBUILD	2009-11-21 18:03:21 UTC (rev 59253)
@@ -3,12 +3,12 @@
 
 pkgname=gnome-pilot
 pkgver=2.0.17
-pkgrel=1
+pkgrel=2
 pkgdesc="Pilot Support for Gnome"
 arch=(i686 x86_64)
 license=('GPL')
-depends=('pilot-link>=0.12.3-3')
-makedepends=('pkgconfig' 'intltool' 'gob2' 'gnome-doc-utils>=0.14.2' 'gnome-panel>=2.24.3')
+depends=('pilot-link>=0.12.4' 'libgnomeui>=2.24.2')
+makedepends=('pkgconfig' 'intltool' 'gob2' 'gnome-doc-utils>=0.18.0' 'gnome-panel>=2.28.0')
 optdepends=('gnome-panel')
 options=('!libtool' '!emptydirs')
 url="http://www.gnome.org"
@@ -19,9 +19,9 @@
 build() {
   cd "${srcdir}/${pkgname}-${pkgver}"
   ./configure --prefix=/usr --sysconfdir=/etc \
-              --libexecdir=/usr/lib/gnome-pilot \
-              --localstatedir=/var --disable-static \
-	      --disable-scrollkeeper || return 1
+      --libexecdir=/usr/lib/gnome-pilot \
+      --localstatedir=/var --disable-static \
+      --disable-scrollkeeper || return 1
   make || return 1
   make GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR="${pkgdir}" install || return 1
 
@@ -30,4 +30,6 @@
   install -m755 -d "${pkgdir}/usr/share/gconf/schemas"
   gconf-merge-schema "${pkgdir}/usr/share/gconf/schemas/${pkgname}.schemas" ${pkgdir}/etc/gconf/schemas/*.schemas || return 1
   rm -f ${pkgdir}/etc/gconf/schemas/*.schemas
+
+  rm -f "${pkgdir}/usr/lib/gnome-pilot/gpilot-applet"
 }



More information about the arch-commits mailing list